Skip to main content
`Ctrl`+`K`

# CharacteristicCreate

Creates a `Characteristic` context for use with the Method of Characteristics

## Synopsis

    #include "petsccharacteristic.h"
    PetscErrorCode CharacteristicCreate(MPI_Comm comm, Characteristic *c)

Collective

## Input Parameter

- comm - MPI communicator

## Output Parameter

- c - the `Characteristic` context

## See Also

`Characteristic`, `CharacteristicDestroy()`

## Level

beginner

## Location

src/ts/characteristic/interface/characteristic.c

## Implementations

CharacteristicCreate_DA() in src/ts/characteristic/impls/da/slda.c

Index of all Characteristic routines
Table of Contents for all manual pages
Index of all manual pages